#86 You are using a non supported MediaWiki version! Please use MediaWiki 1.15.x - 1.21.x.

1.20.1
open
nobody
None
1
2013-06-21
2013-02-28
Anonymous
No

Hallo,
im Betreff aufgeführte Fehlermeldung erscheint nachdem Ich BlueSpice konfigurieren möchte.
Derzeit habe Ich die Media-Wiki-Version 1.20.2 installiert, wieso kommt diese Fehlermeldung?

Des weiteren kann Ich nicht mehr auf mein Wiki über Adresse/mediawiki/index.php zugreifen (Beim Abrufen von http://Adresse/mediawiki/index.php ist auf der Website ein Fehler aufgetreten. Möglicherweise wird sie gerade gewartet oder ist falsch konfiguriert.)

Lösche Ich die Einstellungen:
$wgActions['remote'] = 'BsRemoteAction';
$wgApiFrameOptions = 'SAMEORIGIN';
$wgDefaultSkin = 'bluespice';
$wgSkipSkins = array( "standard", "monobook", "vector" );
$wgStylePath = $wgScriptPath.'/bluespice-skin';
$wgStyleDirectory = $IP.'/bluespice-skin';
require_once( dirname(FILE).'/bluespice-core/index.php' );
BsCore::getInstance('MW')->setup();
// MediaWiki extensions
require_once( BsConfig::get('MW::AdapterPath').DS.'ext-dist/Lockdown/Lockdown.php' );
require_once( BsConfig::get('MW::AdapterPath').DS.'ext-dist/Quiz/Quiz.php' );
require_once( BsConfig::get('MW::AdapterPath').DS.'ext-dist/Poem/Poem.php' );
require_once( BsConfig::get('MW::AdapterPath').DS.'ext-dist/CategoryTree/CategoryTree.php' );
require_once( BsConfig::get('MW::AdapterPath').DS.'ext-dist/ImageMap/ImageMap.php' );
require_once( BsConfig::get('MW::AdapterPath').DS.'ext-dist/SyntaxHighlight_GeSHi/SyntaxHighlight_GeSHi.php' );
require_once( BsConfig::get('MW::AdapterPath').DS.'ext-dist/ParserFunctions/ParserFunctions.php' );
require_once( BsConfig::get('MW::AdapterPath').DS.'ext-dist/InputBox/InputBox.php' );
require_once( BsConfig::get('MW::AdapterPath').DS.'ext-dist/Nuke/Nuke.php' );
require_once( BsConfig::get('MW::AdapterPath').DS.'ext-dist/DynamicPageList/DynamicPageList.php' );
require_once( BsConfig::get('MW::AdapterPath').DS.'ext-dist/Cite/Cite.php' );
require_once( BsConfig::get('MW::AdapterPath').DS.'ext-dist/RSS/RSS.php' );
require_once( BsConfig::get('MW::AdapterPath').DS.'ext-dist/WikiCategoryTagCloud/WikiCategoryTagCloud.php' );
require_once( BsConfig::get('MW::AdapterPath').DS.'ext-dist/Calendar/Calendar.php' );

aus der LocalSettings.php habe Ich wieder zugriff!

Wie kann ich meine beiden Probleme beheben?

MfG

Discussion

  • tweichart
    tweichart
    2013-03-13

    Durch das Löschen der oben genannten Zeilen wird BlueSp9ice nicht geladen. Handelt es sich hier um eine frische Installation oder ein Update?

    Des Weiteren wären auch folgende Punkte wichtig:
    - Welche BlueSpice Version verwenden Sie?
    - Erhalten sie fehler im error.log?
    - Wurde die BlueSpice-Installation gemäß der Installationsanleitung korrekt und fehlerfrei ausgeführt?

     

  • Anonymous
    2013-04-09

    Hallo,
    es handelt sich um eine frische Installation. Ich bin nach folgender Anleitung vorgegangen:
    http://help.blue-spice.org/index.php/Installationsanleitung_1.20.0

    Die Installcheck.php liefert folgendes:
    Checking PHP extensions:

    Checking: curl - OK
    Checking: dom - OK
    Checking: gd - OK
    Checking: json - OK
    Checking: mbstring - OK
    Checking: mysql - OK
    Checking: mysqli - OK
    Checking: pcre - OK
    Checking: tidy - OK

    Checking fileinfo usability: OK (Example output for /var/www/qm-wiki/installcheck.php: text/x-php; charset=us-ascii)
    Checking PHP file uploads:

    WARNING! File upload is enabled but upload_tmp_dir is not set. Make sure your system's temp dir is writable by the web server.
    Checking PHP session save path:

    Checking /var/lib/php5/ - OK
    Checking PHP error log:

    WARNING! error_log is not set. Set error_log to point to a path writable by the web server in your php.ini.
    Checking php.ini values:

    Checking: memory_limit - OK (128M)
    Checking: max_execution_time - OK (120)
    Checking: post_max_size - OK (32M)
    Checking: upload_max_filesize - OK (32M)
    Checking: register_globals - OK (Off)
    Checking write access:

    Checking images/ - OK
    Checking bluespice-core/config/ - OK
    Checking bluespice-core/data/ - OK
    Checking bluespice-mw/config/ - OK
    Checking for "common" directory:

    Looking for bluespice-skin/common - OK
    Checking error handling:

    OK
    Checking allow_url_fopen:

    OK

    Es ist die Bluespice Version 1.20.0 installiert!
    Installation wurde korrekt ausgeführt soweit ich das beurteilen kann!

     

  • Anonymous
    2013-05-30

    Hallo, schon eine Lösung in sicht. Ich habe den selben Fehler.
    Nette Grüße Frank

     
  • Stephan Muggli
    Stephan Muggli
    2013-05-31

    Hallo,

    anscheinend funktioniert ein Versionsvergleich nicht richtig und Sie bekommen somit diese Fehlermeldung ausgegeben.

    Um das verifizieren zu können, bearbeiten Sie bitte die Datei "bluespice-core/setup/pages/en/step-01.inc.php" (Änderungen auch im "de" Ordner vornehmen, falls das deutsche Setup verwendet wird) und fügen dirket nach dieser Zeile

    $sURLBase = htmlentities( dirname( dirname( $_SERVER['SCRIPT_NAME'] ) ) );

    diese ein.

    error_log( BsSetup::readVersion() );

    Jetzt müssen Sie noch ihr error.log kontrollieren, was ausgegeben wird. Zu erwarten wäre die Mediawiki Version, die verwendet wird.

    Schöne Grüße,
    Stephan

     

  • Anonymous
    2013-06-08

    Ich habe heute die aktuelle BS Version ausprobieren wollen und sowohl BS als auch MW in der aktuellsten stabilen Version heruntergeladen. Ich bin in den gleichen Fehler gelaufen und habe unter bluespice-core/setup/pages für beide Sprachen die oben genannte Anpassung durchgeführt (mit vim).

    MW ist 1.21.1
    BS ist 1.20.1

    Im Errorlog findet sich dann folgender Eintrag

    [Sat Jun 08 20:25:02 2013] [error] [client 192.168.70.1] 1.21.1, referer: https://192.168.70.128/mw/bluespice-core/setup/index.php?page=welcome&lang=de

    Trotzdem bekomme ich bei dem Versuch das Setup auszuführen die bereits von anderen Betroffenen genannte Fehlermeldung:

    Sie verwenden eine nicht unterstützte MediaWiki Version! Bitte verwenden Sie MediaWiki 1.15.x - 1.21.x.

    Hier der Output des Installchecks:

    Checking: curl - WARNING! This extension is needed if you want to use curl in the extended search.
    Checking: dom - OK
    Checking: gd - OK
    Checking: json - OK
    Checking: mbstring - OK
    Checking: mysql - OK
    Checking: mysqli - OK
    Checking: pcre - OK
    Checking: tidy - OK

    Checking fileinfo usability: OK (Example output for /var/www/mw/installcheck.php: text/x-php; charset=us-ascii)

    Checking PHP file uploads:
    WARNING! File upload is enabled but upload_tmp_dir is not set. Make sure your system's temp dir is writable by the web server.
    Checking PHP session save path:
    Checking /var/lib/php5/ - OK

    Checking PHP error log:
    Checking /var/www/mw/tmp/error_log - OK
    Filesize: 4 KB
    Checking php.ini values:
    Checking: memory_limit - OK (64M)
    Checking: max_execution_time - OK (120)
    Checking: post_max_size - OK (32M)
    Checking: upload_max_filesize - OK (32M)
    Checking: register_globals - OK (Off)

    Checking write access:
    Checking images/ - OK
    Checking bluespice-core/config/ - OK
    Checking bluespice-core/data/ - OK
    Checking bluespice-mw/config/ - OK

    Checking for "common" directory:
    Looking for bluespice-skin/common - OK
    Checking error handling:
    OK
    Checking allow_url_fopen:
    OK


    Informational:
    PHP Configuration File:
    Configuration file in use: /etc/php5/apache2/php.ini (determined by internal PHP function)
    Single-Sign-On:
    $_SERVER['REMOTE_USER'] is not set. SSO is not configured correctly and WILL NOT WORK!
    Checking time zone:
    Your current time zone is UTC (UTC)
    Server time:
    Sat, 08 Jun 2013 20:12:00 +0000
    PHP version:
    5.3.3-7+squeeze15 (apache2handler)
    PHP Temp Directory:
    /tmp
    PHP_Uname:
    Linux lamp 2.6.32-5-686 #1 SMP Fri May 10 08:33:48 UTC 2013 i686PHP Bytecode Caches:
    Nice, found a bytecode cache! (detected: xcache)
    For optimal performance make sure you set $wgMainCacheType = CACHE_ACCEL; (more info)
    PHP Thread Safety:
    Thread Safety: disabled
    PHP Server API:
    Server API: Apache 2.0 Handler
    $_SERVER['DOCUMENT_ROOT']:
    $_SERVER['DOCUMENT_ROOT'] = /var/www/
    dirname(FILE):
    dirname(FILE) = /var/www/mw

     

  • Anonymous
    2013-06-11

    Hallo,

    ich habe dasselbe Problem und daher die gewünschte Anpassung vorgenommen.

    Als Version wird im Errorlog die 1.21.1 ausgegeben.

    Auch bei mir ist es eine frische Installation von Mediawiki streng nach Installationsanleitung.

    Grüße Jessica

     
  • tweichart
    tweichart
    2013-06-21

    Versuchen Sie es bitte noch einmal mit der neuesten Version von BlueSpice.

     


Anonymous


Cancel   Add attachments